Subject: [Roll] Compression format for RPL Control messages

From: Mukul Goyal <[email-masked]>
Date: Sun, 24 Jul 2011 08:39:57 -0500 (CDT)

Hi all

I wanted to bring your attention to draft-goyal-roll-rpl-compression-00 that I had submitted a couple of months ago. With IEEE 802.15.4 as the link layer, the maximum link layer payload could be as small as 81 bytes. When one adds a couple of options to a DIO, it approaches that size. The draft has two representative examples of DIO fragmentation. DIO fragmentation is a real issue for P2P-RPL route discovery because a DIO needs to accumulate a route as well. This draft provides a mechanism to compress the DIO base object and some of its options in the desired fashion. The mechanism can be extended to other RPL messages/options as well if desired. Please take a look at this draft and share your views. I will be presenting this draft at the ROLL meeting.

Thanks
Mukul